summaryrefslogtreecommitdiffstatshomepage
path: root/patches/eowyn.sh
diff options
context:
space:
mode:
authorManlio Perillo <manlio.perillo@gmail.com>2023-04-24 18:09:47 +0200
committerManlio Perillo <manlio.perillo@gmail.com>2023-04-25 14:52:05 +0200
commitfd6f3eebbbd18324cd6dbe11c872965cc2d0d04e (patch)
tree003a307f40d660ff0302d8440fb4206b7e634bf0 /patches/eowyn.sh
parent4b58de26d3196a9c344afb9bfea0a50afaf248f5 (diff)
eowyn.sh: set the -e option
Currently, `zig fmt` exit status is ignored, making it useless. Ensure that the script terminates early if there is an error. Print a message to stdout before executing `zig fmt`, in order to make the possible error more visible.
Diffstat (limited to 'patches/eowyn.sh')
-rwxr-xr-xpatches/eowyn.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/patches/eowyn.sh b/patches/eowyn.sh
index bc57249..0c3b299 100755
--- a/patches/eowyn.sh
+++ b/patches/eowyn.sh
@@ -12,6 +12,7 @@
# using the patches in this directory and convey them
# to convalesce in the healed directory.
#
+set -e
# We check ourselves before we wreck ourselves.
if [ ! -f patches/eowyn.sh ]
@@ -41,7 +42,7 @@ do
fi
done
-# Check the healed exercises formatting.
+echo "Looking for non-conforming code formatting..."
zig fmt --check patches/healed
# Test the healed exercises. May the compiler have mercy upon us.